> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Language List

> Retrieves the list of allowed languages, only accessible by title entities



## OpenAPI

````yaml /services/playfab/api-references/rest/localization/localization.openapi.json post /Locale/GetLanguageList
openapi: 3.0.0
info:
  version: '260922'
  title: PlayFab Localization API
  description: >-
    The Localization APIs give you the tools needed to manage language setup in
    your title.
  termsOfService: https://playfab.com/terms/
  contact:
    url: https://community.playfab.com/index.html
  license:
    name: Apache 2.0
    url: https://github.com/PlayFab/API_Specs/blob/master/LICENSE
servers:
  - url: https://{titleId}.playfabapi.com
    description: PlayFab title endpoint
    variables:
      titleId:
        default: your_title_id
        description: Your PlayFab title ID (hex).
security: []
tags:
  - name: Localization
    description: Localization APIs
paths:
  /Locale/GetLanguageList:
    post:
      tags:
        - Localization
      summary: Get Language List
      description: >-
        Retrieves the list of allowed languages, only accessible by title
        entities
      operationId: GetLanguageList
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetLanguageListRequest'
      responses:
        '200':
          $ref: '#/components/responses/GetLanguageListResponse'
        '400':
          $ref: '#/components/responses/ApiErrorWrapper'
      security:
        - EntityToken: []
components:
  schemas:
    GetLanguageListRequest:
      type: object
      properties:
        CustomTags:
          description: >-
            The optional custom tags associated with the request (e.g. build
            number, external trace identifiers, etc.).
          type: object
      example: {}
    GetLanguageListResponse:
      type: object
      properties:
        LanguageList:
          description: The list of allowed languages, in BCP47 two-letter format
          type: array
          items:
            type: string
      example:
        LanguageList:
          - en
    ApiErrorWrapper:
      description: The basic wrapper around every failed API response
      type: object
      properties:
        code:
          description: Numerical HTTP code
          type: integer
        status:
          description: String HTTP code
          type: string
        error:
          description: Playfab error code
          type: string
        errorCode:
          description: Numerical PlayFab error code
          type: integer
        errorMessage:
          description: Description for the PlayFab errorCode
          type: string
        errorDetails:
          description: Detailed description of individual issues with the request object
          type: object
      required:
        - code
        - errorCode
  responses:
    GetLanguageListResponse:
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: integer
                description: >-
                  The Http status code. If X-ReportErrorAsSuccess header is set
                  to true, this will report the actual http error code.
              status:
                type: string
                description: The Http status code as a string.
              data:
                $ref: '#/components/schemas/GetLanguageListResponse'
            example:
              code: 200
              status: OK
              data:
                LanguageList:
                  - en
    ApiErrorWrapper:
      description: This is the outer wrapper for all responses with errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorWrapper'
  securitySchemes:
    EntityToken:
      type: apiKey
      in: header
      name: X-EntityToken
      description: >-
        This API requires an Entity Session Token, available from the Entity
        GetEntityToken method.

````

## Related topics

- [Get Language List](/services/playfab/api-references/rest/localization/localization/get-language-list.md)
- [PFLocalizationGetLanguageListGetResult](/services/playfab/api-references/c/pflocalization/functions/pflocalizationgetlanguagelistgetresult.md)
- [PFLocalizationGetLanguageListAsync](/services/playfab/api-references/c/pflocalization/functions/pflocalizationgetlanguagelistasync.md)
- [PFLocalizationGetLanguageListRequest](/services/playfab/api-references/c/pflocalizationtypes/structs/pflocalizationgetlanguagelistrequest.md)
- [PFLocalizationGetLanguageListResponse](/services/playfab/api-references/c/pflocalizationtypes/structs/pflocalizationgetlanguagelistresponse.md)
